net.fortuna.ical4j.model.parameter

## Class AltRep

- java.lang.Object
- - net.fortuna.ical4j.model.Content
  - - net.fortuna.ical4j.model.Parameter
    - - net.fortuna.ical4j.model.parameter.AltRep

All Implemented Interfaces:
  Serializable

    public class AltRep
    extends Parameter

$Id$ [18-Apr-2004] Defines an Alternate Text Representation parameter.

Author:
  benfortuna
See Also:
  Serialized Form

### Field Summary

### Fields inherited from class net.fortuna.ical4j.model.Parameter

`ABBREV, ALTREP, CN, CUTYPE, DELEGATED_FROM, DELEGATED_TO, DIR, ENCODING, EXPERIMENTAL_PREFIX, FBTYPE, FMTTYPE, LANGUAGE, MEMBER, PARTSTAT, RANGE, RELATED, RELTYPE, ROLE, RSVP, SCHEDULE_AGENT, SCHEDULE_STATUS, SENT_BY, TYPE, TZID, VALUE, VVENUE`

### Constructor Summary

Constructors
Constructor and Description
`AltRep(String aValue)`
`AltRep(URI aUri)`

### Method Summary

Methods
`URI` `getUri()`
`String` `getValue()`

### Methods inherited from class net.fortuna.ical4j.model.Parameter

`copy, equals, getName, hashCode, isQuotable, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### AltRep

    public AltRep(String aValue)
           throws URISyntaxException

Parameters:
  `aValue` - a string representation of an alternate text represenation
Throws:
  `URISyntaxException` - when the specified string is not a value (quoted) uri

#### AltRep

    public AltRep(URI aUri)

Parameters:
  `aUri` - a URI representing an alternate text representation

### Method Detail

#### getUri

    public final URI getUri()

Returns:
  Returns the uri.

#### getValue

    public final String getValue()

Specified by:
  `getValue` in class `Content`
Returns:
  the content value